ALTER PROCEDURE   PJLABDIS_ltexp  @parm1 smalldatetime, @parm2 varchar(10) 
WITH EXECUTE AS '07718158D19D4f5f9D23B55DBF5DF1'
AS

select sum(amount), sum(worked_hrs), max(a.project), max(a.pjt_entity), a.docnbr,
	hrs_type, a.linenbr, a.employee, a.pe_date, a.gl_subacct, home_subacct, a.labor_class_cd,
	a.union_cd, a.work_type, a.earn_type_id, a.shift, a.rate_source, a.work_comp_cd, dl_id03, dl_id08, dl_id10, a.cpnyid_chrg, a.CpnyId_home,
	max(pjemploy.emp_type_cd), max(pjlabhdr.le_type), dl_id12, dl_id14, dl_id16, dl_id18, dl_id20, d.ld_id06
from  PJLABDIS a
	left outer join pjemploy
		on a.employee = pjemploy.employee
	left outer join pjlabhdr
		on a.docnbr  = pjlabhdr.docnbr
	 INNER JOIN PJLABDET d ON 
	    a.docnbr = d.docnbr AND a.linenbr = d.linenbr 

where a.status_1 = '' and
	a.pe_date <= @parm1 and
	a.cpnyid_home = @parm2
group by a.docnbr, hrs_type, a.linenbr, a.employee,  a.pe_date,
	a.gl_subacct, home_subacct,	 a.labor_class_cd, a.union_cd, a.work_type,
	a.earn_type_id, a.shift, a.rate_source, a.work_comp_cd, dl_id03, dl_id08, dl_id10,
 	a.cpnyid_chrg, a.CpnyId_home, a.fiscalno, a.status_1, dl_id12, dl_id14, dl_id16, dl_id18, dl_id20, d.ld_id06
Order by a.status_1, a.pe_date

GO
